GET
/api/v1/lookups
curl \
--request GET 'https://api.plannrcrm.com/api/v1/lookups' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "aa152612-a436-4e23-9adf-5aa59e1f8f2f",
"created_at": "2026-11-17T20:47:12+00:00",
"updated_at": "2026-11-17T20:47:12+00:00",
"type": "provider_statement_mapping",
"lookupable_type": "provider",
"lookupable_uuid": "5758f2ec-f783-476a-86da-6efdff41b918",
"lookupable_value": "J Bloggs Plan",
"lookup_value": "zAbWeFVJ:Bloggs J",
"returnable_type": "plan",
"returnable_uuid": "9c55c37a-4efb-424f-8f83-07729e2c9b3a",
"returnable_value": "example",
"return_string": "Consectetur officia labore",
"return_json": {
"key_1": "value_1",
"key_2": "value_2"
},
"return_float": 70.35
}
]
}